mhw pushed a commit to branch core-updates
in repository guix.

commit 38039b4fa917c7516535167fb082ea63850ee578
Author: Mark H Weaver <m...@netris.org>
Date:   Tue Apr 17 02:07:36 2018 -0400

    gnu: Remove webkitgtk-2.4 and webkitgtk/gtk+-2.
    
    These were old, unmaintained versions of webkitgtk with many known remote 
code
    execution vulnerabilities.  With the recent GnuCash 3.0 update in commit
    53e66fbceb275262184ad44f60a5a8d4e7061fcb, they are no longer needed.
    
    * gnu/packages/webkit.scm (webkitgtk-2.4, webkitgtk/gtk+-2): Remove 
variables.
---
 gnu/packages/webkit.scm | 47 -----------------------------------------------
 1 file changed, 47 deletions(-)

diff --git a/gnu/packages/webkit.scm b/gnu/packages/webkit.scm
index b336bbf..086a158 100644
--- a/gnu/packages/webkit.scm
+++ b/gnu/packages/webkit.scm
@@ -149,50 +149,3 @@ HTML/CSS applications to full-fledged web browsers.")
                    license:lgpl2.1+
                    license:bsd-2
                    license:bsd-3))))
-
-;; Latest release of the stable 2.4 series, with WebKit1 support.
-(define-public webkitgtk-2.4
-  (package (inherit webkitgtk)
-    (name "webkitgtk")
-    (version "2.4.11")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "http://www.webkitgtk.org/releases/";
-                                  name "-" version ".tar.xz"))
-              (sha256
-               (base32
-                "1xsvnvyvlywwyf6m9ainpsg87jkxjmd37q6zgz9cxb7v3c2ym2jq"))))
-    (build-system gnu-build-system)
-    (arguments
-     '(#:tests? #f ; no tests
-       ;; FIXME: Disabling parallel building is a quick hack to avoid the
-       ;; failure described in
-       ;; https://lists.gnu.org/archive/html/guix-devel/2016-01/msg00837.html
-       ;; A more structural fix is needed.
-       #:parallel-build? #f
-       #:phases (modify-phases %standard-phases
-                  (add-after
-                   'unpack 'set-gcc
-                   (lambda _ (setenv "CC" "gcc") #t)))))
-    (native-inputs
-     `(("flex" ,flex)
-       ("which" ,which)
-       ,@(package-native-inputs webkitgtk)))))
-
-;; Last GTK+2 port, required by GnuCash.
-(define-public webkitgtk/gtk+-2
-  (package (inherit webkitgtk-2.4)
-    (name "webkitgtk-gtk2")
-    (arguments
-     `(;; FIXME: Disabling parallel building is a quick hack to avoid the
-       ;; failure described in
-       ;; https://lists.gnu.org/archive/html/guix-devel/2016-01/msg00837.html
-       ;; A more structural fix is needed.
-       #:parallel-build? #f
-       #:configure-flags
-       '("--enable-webkit2=no"
-         "--with-gtk=2.0")
-       ,@(package-arguments webkitgtk-2.4)))
-    (propagated-inputs
-     `(("gtk+-2" ,gtk+-2)
-       ("libsoup" ,libsoup)))))

Reply via email to